HomeDocumentationAPI Endpoints
Log In
API Endpoints

Bank Statement Analytics Journey - Fetch API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

STEP 2

Once AA journey/ Bank Statement Journey is completed the businesses need to invoke this API to get the output.

Journey Input Data

{
  "transaction_id": "",
  "journey_transaction_id": ""
}

Journey Output Data

{
  "transaction_id": "",
  "journey_transaction_id": "",
  "journey_id": "",
  "status": "SUCCESS|FAILURE|IN_PROGRESS",
  "status_code": "Refer to the table below",
  "message": "Refer to the table below",
  "checks": [],
  "data": {
    "keys": {
      "bank_statement": [
        {
          "account_number": "XXXXXXXXX1234",
          "bank_name": "Sample Bank",
          "ifsc_code": "SAMP0000123",
          "account_open_date": "2020-01-01",
          "account_type": "SAVINGS",
          "micr_code": "123456789",
          "full_address": "1234 Dummy St, Fake City, ZIP - 123456",
          "email": "[email protected]",
          "mobile": "1234567890",
          "full_name": "John Doe",
          "month_duration": 24,
          "start_date": "2021-01-01",
          "end_date": "2023-12-31",
          "latest_balance": "100000.00",
          "tracking_id": "dummy-tracking-id-1234"
        }
      ]
    },
    "insights": {
      "bank_statement_annotations": [
        {
          "insight_created_at": "<iso format>",
          "insight_type": "BANK_STATEMENT_ANNOTATIONS",
          "insight_group": "BANK_STATEMENT",
          "grouped_emi_debit_amount": [
            {
              "type": "grouped_emi_debit_amount",
              "id": "type#<uuid>",
              "config": {
                "period": 13,
                "grouping": "monthly",
                "sortby": "descending"
              },
              "data": {
                "emi_debit_amounts": [
                  5705.71,
                  0.0,
                  1.2,
                  0.0,
                  1,
                  0.0,
                  1,
                  2,
                  0.0,
                  1,
                  0.0,
                  0.0,
                  0.0
                ]
              }
            }
          ],
          "grouped_emi_debit_count": [
            {
              "type": "grouped_emi_debit_count",
              "id": "grouped_emi_debit_12_monthly_descending",
              "config": {
                "period": 13,
                "grouping": "monthly",
                "sortby": "descending"
              },
              "data": {
                "emi_debit_counts": [
                  2,
                  3,
                  5,
                  1,
                  0,
                  0,
                  0,
                  0,
                  0,
                  0,
                  0,
                  0,
                  0
                ]
              }
            }
          ]
        }
      ]
    }
  }
}
📘

This journey does not include any pre-configured Ownership or Fraud Checks. To configure these checks, please contact your Account Manager.

Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various verification journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the Bank Account name, comparing the Aadhaar photo with a live image, and more.

string
required

Enter the journey_transaction_id obtained in the STEP 1.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json